Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150192 - JavaTypeProvider creates useless FileObjects
JavaTypeProvider creates useless FileObjects
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 11:00 UTC by Tomas Zezula
Modified: 2009-02-19 21:08 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2008-10-15 11:00:09 UTC
The JavaTypeProvider creates lots of useless slow FileObjects which causes significant delay when Go To Type is used for first time after IDE start.
Comment 1 Tomas Zezula 2008-10-15 11:06:19 UTC
Info from David's log files:

Go to type for the first time took 10s after IDE start and in other invocations less than 3s.
1) The filesystem is cold, so the first access to the lucene indexes takes longer time (2-3s), we can't probably do anything
with this.
2) Even more time is spent in the call of ClassPath.getRoots(), something about 6s, I will rewrite it to use URLs.
Comment 2 Tomas Zezula 2008-10-15 14:15:27 UTC
http://hg.netbeans.org/main/rev/82ac8e19a14c
Comment 3 Quality Engineering 2008-10-16 04:11:16 UTC
Integrated into 'main-golden', will be available in build *200810160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/82ac8e19a14c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #150192:JavaTypeProvider creates useless FileObjects
Comment 4 Jana Maleckova 2008-11-13 08:10:37 UTC
This issue has lower priority then P2, please enclose the evaluation why this fix should be a part of 65patch1. Thanks
Comment 5 Jiri Prox 2008-11-13 12:09:16 UTC
justification of patch: There was lot's of complaints about performance of Go To Type feature, this fix improves it. 
Comment 6 Jiri Prox 2008-11-20 10:29:36 UTC
v.
Comment 7 pslechta 2008-11-20 12:49:11 UTC
The fix has been backported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/41c07306834f
Comment 8 Jiri Prox 2008-12-02 15:44:52 UTC
verified in patch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo